From a4131cc2ba4163ba1f145e2db13bb53b3ada5eb2 Mon Sep 17 00:00:00 2001
From: Administrator <admin@example.com>
Date: Fri, 12 May 2023 03:25:44 +0000
Subject: [PATCH] Add generate-deploy-stages.sh

---
 generate-deploy-stages.sh | 19 +++++++++++++++++++
 1 file changed, 19 insertions(+)
 create mode 100644 generate-deploy-stages.sh

diff --git a/generate-deploy-stages.sh b/generate-deploy-stages.sh
new file mode 100644
index 0000000..4c6b9a1
--- /dev/null
+++ b/generate-deploy-stages.sh
@@ -0,0 +1,19 @@
+#!/bin/bash
+
+set -e
+basedir=$( cd "$(dirname "$0")" ; pwd -P )
+cat $TRIGGER_PAYLOAD | python3 -c "import sys, json; print(json.loads(json.load(sys.stdin)['payload'])['ref'])" | grep "-uat"
+TAG=$(!!)
+git clone --single-branch --branch ${TAG} https://github.com/MAAP-Project/maap-workspaces.git
+pushd maap-workspaces
+find base_images -type d -depth 1 > ${basedir}/images.txt
+cat ${basedir}/images.txt
+template="${basedir}/deploy.yml.tmpl"
+cat ${basedir}/images.txt | while read image
+do
+  export BASE_IMAGE_TYPE=$(basename ${image})
+  export TAG=${TAG}
+  cat ${template} | CI_JOB_TOKEN='$CI_JOB_TOKEN' CI_REGISTRY='$CI_REGISTRY' envsubst >> deploy.yml
+done
+echo "Generate stages.yaml"
+cat deploy.yml || true
-- 
GitLab